Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::vrml97_grammar< Actions, ErrorHandler > Struct Template Reference

A Spirit grammar for parsing VRML97. More...

`#include <openvrml/vrml97_grammar.h>`

List of all members.

## Classes

struct | definition
| VRML97 grammar definition. More...

## Public Member Functions

| vrml97_grammar (const Actions &actions=Actions(), const ErrorHandler &handler=ErrorHandler())

## Public Attributes

const boost::spirit::classic::functor_parser < rotation_parser < ErrorHandler > > | rotation_p
const Actions & | actions
const ErrorHandler & | error_handler

## Detailed Description

### template<typename Actions = null_vrml97_parse_actions, typename ErrorHandler = vrml97_parse_error_handler>
struct openvrml::vrml97_grammar< Actions, ErrorHandler >

A Spirit grammar for parsing VRML97.

Examples:

  pretty_print.cpp.